Bug Hunting Session
Bug 123956 - KDE5: a text caret does not move inside a preedit area
Summary: KDE5: a text caret does not move inside a preedit area
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords:
Depends on:
Blocks: CJK KDE
  Show dependency treegraph
 
Reported: 2019-03-09 08:38 UTC by Fuminobu TAKEYAMA
Modified: 2019-05-08 13:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fuminobu TAKEYAMA 2019-03-09 08:38:31 UTC
Description:
When preedit area is shown on a LibreOffice application, its text caret does not move by pressing cursor keys. It seems that the caret moves logically but the screen is not updated.

Steps to Reproduce:
1. Enable an input method (ibus-mozc)
2. Type nihonngo into Writer
3. Press Left key

Actual Results:
にほんごI
Note that "I" represents a text caret

Expected Results:
にほんIご


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Fuminobu TAKEYAMA 2019-03-10 12:03:33 UTC
Update: Actual Results:
Iにほんご
Note that "I" represents a text caret
Comment 2 Michael Weghorn 2019-03-13 08:39:04 UTC
Confirmed with

Version: 6.3.0.0.alpha0+
Build ID: 73e32aff2a3b8325daf36060140878fe34c46956
CPU threads: 2; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Works OK when using gtk3 instead.
Comment 3 Commit Notification 2019-05-04 22:58:13 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/110fd705ad3ae35144aaa6e5d8249b7e35f2825f%5E%21

tdf#123956 Qt5 IM update cursor position

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-05-08 13:18:38 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/1b2aaed5e60e4e41f1d3475d6229d893d49bbeb7%5E%21

tdf#123956 Qt5 IM update cursor position

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.